Skip to Content

PATCH Projects

Gebruik dit endpoint om bestaande projecten bij te werken.

Gebruikersniveau: Gevorderd

Endpoint

PATCH /v1/{scopeId}/projects/{id}
EigenschapWaarde
MethodPATCH
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:projects:write
Content-Typeapplication/json
Request bodyJSON object

Update-regels

  • De API controleert server-side of het record binnen de toegestane organization en branch valt.
  • Alleen expliciet toegestane velden mogen worden bijgewerkt.
  • Onbekende of niet-toegestane velden geven 400 invalid_update.

Toegestane updatevelden

Veld
name
account_id
status
start_date

Voorbeeldrequest

curl -X PATCH "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/projects/92d4d9f6-7a35-4e8e-bd92-cb3f1e5ab8e2" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "status": "active", "start_date": "2026-07-01" }'

Voorbeeldresponse

{ "data": { "id": "92d4d9f6-7a35-4e8e-bd92-cb3f1e5ab8e2", "name": "Warehouse rollout", "account_id": "7ecf4b8d-8d1f-4a0f-8e57-6d8f14c6a221", "status": "active", "start_date": "2026-07-01" }, "version": "v1" }

Foutresponse

{ "error": "invalid_update", "error_description": "One or more fields are not allowed for updates on projects" }

Mogelijke foutcodes

  • 400 invalid_request
  • 400 invalid_update
  • 401 unauthorized
  • 401 invalid_token
  • 403 invalid_token_type
  • 403 insufficient_scope
  • 404 not_found
  • 405 method_not_allowed

Gerelateerde pagina’s

  • Projects GET
  • API calls en voorbeelden
  • Setup guide
Last updated on